<?php
include 'session.php';

date_default_timezone_set("Asia/Calcutta");

if (isset($_POST['notification']) && isset($_GET['to'])) {

    define('api','AAAAnwftoAY:APA91bELRzlQpvRKN-kolU16tUWq9TIgJuWwqYM1s7_qL90PhT38WgxyXVcA6dsu0fyEBE3X-QXtv61EaYwMZNsNFmbHtW7lzvYwxzczDRw8ZonCCkvZKwiQm5wpMwAJ5tW_X0nmQwdp');

    $title = $_POST["title"];
    $body = $_POST["body"];
    $img = $_POST["img"];
    $vid = $_POST["vid"];

    $title = htmlspecialchars($title, ENT_COMPAT);
    $body = htmlspecialchars($body, ENT_COMPAT);
    $img = htmlspecialchars($img, ENT_COMPAT);
    $vid = htmlspecialchars($vid, ENT_COMPAT);


    $to = $_GET['to'];

    if (strlen($img) > 5) {
        // Push Data's
        $data = array(
            "to" => "/topics/$to",
            "data" => array(
                "title" => "$title",
                "body" => "$body",
                "image" => "$img",
                "vid"=>$vid,
                "click_action" => ".notif.NotificationDetail"
            )

        );
    } else {
        // Push Data's
        $data = array(
            "to" => "/topics/$to",
            "data" => array(
                "title" => "$title",
                "body" => "$body",
                "image" => "e",
                "vid"=>$vid,
                "click_action" => ".notif.NotificationDetail"
            )
        );
    }

    $send = json_encode($data);

    $url = "https://fcm.googleapis.com/fcm/send";

    $header = array(

        'Authorization: Key=' . api,
        'Content-Type:application/json'

    );

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $send);


    // Variable for Print the Result
    $result = curl_exec($ch);

    print_r($result);

    curl_close($ch);
}


?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Notification</title>
</head>

<style>
    * {
        box-sizing: border-box;
        font-family: sans-serif;
    }
    input[type=text],
    select,
    textarea {
        width: 100%;
        padding: 12px;
        border: 1px solid #ccc;
        border-radius: 4px;
        resize: vertical;
    }
    label {
        padding: 12px 12px 12px 0;
        display: inline-block;
    }
    input[type=submit] {
        background-color: #04AA6D;
        color: white;
        padding: 12px 20px;
        border: none;
        width: 70%;
        border-radius: 4px;
        cursor: pointer;
        display: block;
        margin: 20px auto;
    }
    input[type=submit]:hover {
        background-color: #45a049;
    }
    form {
        border-radius: 5px;
        background-color: #f2f2f2;
        padding: 20px;
    }

</style>

<body>
    <?php include_once('includes/header.php'); ?>
    
    <?php
      if(isset($_GET['url'])){
          
          $vidUrl = $_GET['vid'];
          $imgUrl = $_GET['url'];
          
          if (preg_match('#^http#i', $vidUrl) === 1) {
              
          }else{
              $vidUrl = $vid_base.$vidUrl;
          }
          
          if (preg_match('#^http#i', $imgUrl) === 1) {
              
          }else{
              $imgUrl = $img_base.$imgUrl;
          }
          
          
    ?>

    <form action="" method="POST">
        
        
        <input type="hidden" id="vid" name="vid" value="<?php echo $vidUrl; ?>">

        <label for="title">Title</label>
        <input type="text" id="title" name="title" placeholder="Title Here.." required  value="FFF Short Videos">

        <label for="body">Message</label>
        <textarea id="body" name="body" placeholder="Write something.." style="height:100px" required><?php echo $_GET['title'];?></textarea>

        <label for="img">Images URL</label>
        <input type="text" id="img" name="img" placeholder="Image URL Here.." value="<?php echo $imgUrl;?>">
        
        </br>
        </br>
        <img src="<?php echo $imgUrl?>" style="height:200px;border-radius:10px;"/>
        </br>

        <input type="submit" value="Send" name="notification">
    </form>
    
    
    <?php }
    
    else{
        
    ?>
    
      <form action="" method="POST">
          
         <input type="hidden" id="vid" name="vid" value="e">

        <label for="title">Title</label>
        <input type="text" id="title" name="title" placeholder="Title Here.." required>

        <label for="body">Message</label>
        <textarea id="body" name="body" placeholder="Write something.." style="height:100px" required></textarea>

        <label for="img">Images URL</label>
        <input type="text" id="img" name="img" placeholder="Image URL Here..">

        <input type="submit" value="Send" name="notification">
    </form>
    
    <?php }

    ?>

    <?php include_once('includes/footer.php'); ?>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
  